#
# Conditional build:
%bcond_without	qtwebengine	# build with Qt6Webengine support
%bcond_with	tests		# build with tests

%ifarch x32 i686
%undefine	with_qtwebengine
%endif

%define		kdeplasmaver	6.3.4
%define		kfver		6.5.0
%define		qtver		6.7.0
%define		kpname		kdeplasma-addons

Summary:	All kind of addons to improve your Plasma experience
Name:		kp6-%{kpname}
Version:	6.3.4
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	f878ff1684509f59aba3c7c733b3eb5c
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Qml-devel >= %{qtver}
BuildRequires:	Qt6Qt5Compat-devel >= %{qtver}
BuildRequires:	Qt6Quick-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
%{?with_qtwebengine:BuildRequires:	Qt6WebEngine-devel}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf6-extra-cmake-modules >= %{kfver}
BuildRequires:	kf6-kauth-devel >= %{kfver}
BuildRequires:	kf6-kcmutils-devel >= %{kfver}
BuildRequires:	kf6-kconfig-devel >= %{kfver}
BuildRequires:	kf6-kconfigwidgets-devel >= %{kfver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kfver}
BuildRequires:	kf6-kdbusaddons-devel >= %{kfver}
BuildRequires:	kf6-kdeclarative-devel >= %{kfver}
BuildRequires:	kf6-kglobalaccel-devel >= %{kfver}
BuildRequires:	kf6-kholidays-devel >= %{kfver}
BuildRequires:	kf6-ki18n-devel >= %{kfver}
BuildRequires:	kf6-kio-devel >= %{kfver}
BuildRequires:	kf6-kjobwidgets-devel >= %{kfver}
BuildRequires:	kf6-knewstuff-devel >= %{kfver}
BuildRequires:	kf6-knotifications-devel >= %{kfver}
BuildRequires:	kf6-kpackage-devel >= %{kfver}
BuildRequires:	kf6-krunner-devel >= %{kfver}
BuildRequires:	kf6-kservice-devel >= %{kfver}
BuildRequires:	kf6-kunitconversion-devel >= %{kfver}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kfver}
BuildRequires:	kf6-kxmlgui-devel >= %{kfver}
BuildRequires:	kf6-sonnet-devel >= %{kfver}
BuildRequires:	kp6-libplasma-devel >= %{kdeplasmaver}
BuildRequires:	kp6-plasma5support-devel >= %{kdeplasmaver}
BuildRequires:	libicu-devel >= 66.1
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires:	Qt6Core >= %{qtver}
Requires:	Qt6DBus >= %{qtver}
Requires:	Qt6Gui >= %{qtver}
Requires:	Qt6Network >= %{qtver}
Requires:	Qt6Qml >= %{qtver}
Requires:	Qt6Qt5Compat >= %{qtver}
Requires:	Qt6Quick >= %{qtver}
Requires:	Qt6Widgets >= %{qtver}
Requires:	hicolor-icon-theme
Suggests:	Qt6Quick3D
Suggests:	kf6-kirigami-addons
Suggests:	kf6-kitemmodels
Suggests:	kf6-purpose
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
All kind of addons to improve your Plasma experience.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-%{kpname}-devel < %{version}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%{_datadir}/knsrcfiles/comic.knsrc
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/colorpicker
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/colorpicker/libcolorpickerplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/colorpicker/qmldir
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/diskquota
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/diskquota/libdiskquotaplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/diskquota/qmldir
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/quicklaunch
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/quicklaunch/libquicklaunchplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/quicklaunch/qmldir

%dir %{_libdir}/qt6/qml/org/kde/plasma/private/fifteenpuzzle
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/fifteenpuzzle/libfifteenpuzzleplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/fifteenpuzzle/qmldir
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/notes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/notes/libnotesplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/notes/qmldir
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/timer
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/timer/libtimerplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/timer/qmldir
%{_iconsdir}/hicolor/scalable/apps/fifteenpuzzle.svgz
%dir %{_datadir}/kwin
%{_datadir}/kwin/tabbox
%{_datadir}/plasma/desktoptheme/default/widgets/timer.svgz
%{_datadir}/plasma/plasmoids/org.kde.plasma.calculator
%{_datadir}/plasma/plasmoids/org.kde.plasma.comic
%{_datadir}/plasma/plasmoids/org.kde.plasma.fifteenpuzzle
%{_datadir}/plasma/plasmoids/org.kde.plasma.fuzzyclock
%{_datadir}/plasma/plasmoids/org.kde.plasma.kickerdash
%{_datadir}/plasma/plasmoids/org.kde.plasma.konsoleprofiles
%{_datadir}/plasma/plasmoids/org.kde.plasma.notes
%{_datadir}/plasma/plasmoids/org.kde.plasma.timer
%{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch
%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher
%{_datadir}/plasma/wallpapers/org.kde.haenau
%{_datadir}/plasma/wallpapers/org.kde.hunyango

%{_libdir}/libplasmapotdprovidercore.so
%{_libdir}/qt6/plugins/plasma/applets/org.kde.plasma.grouping.so
%{_libdir}/qt6/plugins/plasma/applets/org.kde.plasma.private.grouping.so
%dir %{_libdir}/qt6/plugins/potd
%{_libdir}/qt6/plugins/potd/plasma_potd_apodprovider.so
%{_libdir}/qt6/plugins/potd/plasma_potd_bingprovider.so
%{_libdir}/qt6/plugins/potd/plasma_potd_epodprovider.so
%{_libdir}/qt6/plugins/potd/plasma_potd_flickrprovider.so
%{_libdir}/qt6/plugins/potd/plasma_potd_noaaprovider.so
%{_libdir}/qt6/plugins/potd/plasma_potd_wcpotdprovider.so
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/mediaframe
%{_libdir}/qt6/qml/org/kde/plasma/private/mediaframe/libmediaframeplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/mediaframe/qmldir
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/weather
%{_libdir}/qt6/qml/org/kde/plasma/private/weather/libweatherplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/weather/qmldir
%{_datadir}/metainfo/org.kde.haenau.appdata.xml
%{_datadir}/metainfo/org.kde.hunyango.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.binaryclock.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.calculator.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.colorpicker.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.comic.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.diskquota.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.fifteenpuzzle.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.fuzzyclock.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.grouping.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.kickerdash.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.konsoleprofiles.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.mediaframe.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.notes.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.quicklaunch.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.timer.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.userswitcher.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.weather.appdata.xml
%{_datadir}/metainfo/org.kde.potd.appdata.xml
%dir %{_datadir}/plasma/desktoptheme/default/weather
%{_datadir}/plasma/desktoptheme/default/weather/wind-arrows.svgz
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock
%{_datadir}/plasma/plasmoids/org.kde.plasma.grouping
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather
%{_datadir}/plasma/wallpapers/org.kde.potd
%{_libdir}/qt6/plugins/plasmacalendarplugins/astronomicalevents.so
%dir %{_libdir}/qt6/plugins/plasmacalendarplugins/astronomicalevents
%{_libdir}/qt6/plugins/plasmacalendarplugins/astronomicalevents/AstronomicalEventsConfig.qml
%dir %{_libdir}/qt6/qml/org/kde/plasmacalendar
%dir %{_libdir}/qt6/qml/org/kde/plasmacalendar/astronomicaleventsconfig
%{_libdir}/qt6/qml/org/kde/plasmacalendar/astronomicaleventsconfig/libplasmacalendarastronomicaleventsconfig.so
%{_libdir}/qt6/qml/org/kde/plasmacalendar/astronomicaleventsconfig/qmldir
%{_datadir}/metainfo/org.kde.plasma.keyboardindicator.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker
%{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator
%dir %{_libdir}/qt6/plugins/kf6/krunner
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/krunner_charrunner.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/krunner_dictionary.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/krunner_katesessions.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/krunner_konsoleprofiles.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/krunner_spellcheck.so
%{_libdir}/qt6/plugins/kf6/krunner/org.kde.datetime.so

%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/unitconverter.so

%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/kcms/kcm_krunner_charrunner.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/kcms/kcm_krunner_dictionary.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/kcms/kcm_krunner_spellcheck.so
%attr(755,root,root) %{_libdir}/qt6/plugins/potd/plasma_potd_simonstalenhagprovider.so

%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/applets/org.kde.plasma.weather.so
%dir %{_libdir}/qt6/qml/org/kde/plasma/wallpapers/potd
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/wallpapers/potd/libplasma_wallpaper_potdplugin.so
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/wallpapers/potd/qmldir

%{_libdir}/qt6/plugins/plasmacalendarplugins/alternatecalendar.so
%dir %{_libdir}/qt6/plugins/plasmacalendarplugins/alternatecalendar
%{_libdir}/qt6/plugins/plasmacalendarplugins/alternatecalendar/AlternateCalendarConfig.qml
%{_libdir}/qt6/qml/org/kde/plasma/private/profiles/libprofiles_qml_plugin.so
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/profiles
%{_libdir}/qt6/qml/org/kde/plasma/private/profiles/qmldir
%{_datadir}/kdevappwizard/templates/plasmapotdprovider.tar.bz2
%{_datadir}/metainfo/org.kde.plasma.addons.katesessions.appdata.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.addons.katesessions
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.addons.katesessions/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.addons.katesessions/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.addons.katesessions/contents/ui/KateSessionsItemDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.addons.katesessions/contents/ui/Menu.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.addons.katesessions/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.addons.katesessions/metadata.json

%ghost %{_libdir}/libplasmapotdprovidercore.so.2
%attr(755,root,root) %{_libdir}/libplasmapotdprovidercore.so.*.*
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/packagestructure/plasma_comic.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kwin/effects/configs/kwin_cube_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/applets/org.kde.plasma.comic.so
%{_libdir}/qt6/qml/org/kde/plasma/private/colorpicker/colorpickerplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/colorpicker/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/diskquota/diskquotaplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/diskquota/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/fifteenpuzzle/fifteenpuzzleplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/fifteenpuzzle/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/mediaframe/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/mediaframe/mediaframeplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/notes/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/notes/notesplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/profiles/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/profiles/profiles_qml_plugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/quicklaunch/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/quicklaunch/quicklaunchplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/timer/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/timer/timerplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/weather/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/weather/weatherplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/wallpapers/potd/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/wallpapers/potd/plasma_wallpaper_potdplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasmacalendar/astronomicaleventsconfig/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasmacalendar/astronomicaleventsconfig/plasmacalendarastronomicaleventsconfig.qmltypes
%{_datadir}/knotifications6/plasma_applet_timer.notifyrc
%dir %{_datadir}/kwin/effects/cube
%dir %{_datadir}/kwin/effects/cube/contents
%dir %{_datadir}/kwin/effects/cube/contents/config
%{_datadir}/kwin/effects/cube/contents/config/main.xml
%dir %{_datadir}/kwin/effects/cube/contents/ui
%{_datadir}/kwin/effects/cube/contents/ui/Cube.qml
%{_datadir}/kwin/effects/cube/contents/ui/CubeCameraController.qml
%{_datadir}/kwin/effects/cube/contents/ui/CubeFace.qml
%{_datadir}/kwin/effects/cube/contents/ui/DesktopView.qml
%{_datadir}/kwin/effects/cube/contents/ui/ScreenView.qml
%{_datadir}/kwin/effects/cube/contents/ui/constants.js
%{_datadir}/kwin/effects/cube/contents/ui/main.qml
%{_datadir}/kwin/effects/cube/metadata.json
%{_datadir}/qlogging-categories6/kdeplasma-addons.categories
%{_datadir}/polkit-1/actions/org.kde.kameleonhelper.policy

%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/kameleon.so
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/alternatecalendarconfig
%{_libdir}/qt6/qml/org/kde/plasma/private/alternatecalendarconfig/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/alternatecalendarconfig/libplasmacalendaralternatecalendarconfig.so
%{_libdir}/qt6/qml/org/kde/plasma/private/alternatecalendarconfig/plasmacalendaralternatecalendarconfig.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/alternatecalendarconfig/qmldir
%attr(755,root,root) %{_prefix}/libexec/kf6/kauth/kameleonhelper
%{_datadir}/dbus-1/system-services/org.kde.kameleonhelper.service
%{_datadir}/dbus-1/system.d/org.kde.kameleonhelper.conf
%{_datadir}/kwin/effects/cube/contents/ui/PlaceholderView.qml


%if %{with qtwebengine}
%{_datadir}/plasma/plasmoids/org.kde.plasma.webbrowser
%dir %{_libdir}/qt6/qml/org/kde/plasma/private/dict
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/plasma/private/dict/libdictplugin.so
%{_libdir}/qt6/qml/org/kde/plasma/private/dict/dictplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/plasma/private/dict/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/plasma/private/dict/qmldir
%{_iconsdir}/hicolor/scalable/apps/accessories-dictionary.svg*
%{_datadir}/metainfo/org.kde.plasma.webbrowser.appdata.xml
%{_datadir}/metainfo/org.kde.plasma_applet_dict.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma_applet_dict
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/plasma/potdprovider
%{_libdir}/cmake/PlasmaPotdProvider
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-kdeplasma-addons.git;a=log;h=master

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a67d038
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a75c95d
- updated to 6.3.3

* Tue Mar 04 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> eb4fbc1
- relup

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ce6c240
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8d67d88
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 80c2862
- updated to 6.3.0

* Mon Jan 20 2025 Jan Palus <atler@pld-linux.org> dbc0985
- icu 76 rebuild

* Sun Jan 19 2025 Jan Palus <atler@pld-linux.org> 0c9df33
- update icon cache

* Sun Jan 19 2025 Jan Palus <atler@pld-linux.org> bafaecb
- update deps

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e2a067e
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0c73e77
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dba829b
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b08f812
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0e1058c
- updated to 6.2.1

* Sun Oct 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eab6961
- dirs

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 45c0211
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6fa813c
- updated to 6.1.5

* Wed Aug 21 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2e8961d
- more BRs

* Wed Aug 21 2024 Witold Filipczyk <witekfl@poczta.onet.pl> da46b02
- moved dict related files to webengine part of spec

* Mon Aug 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 07ea037
- disabling qtwebengine also for i686

